import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { ButtonProps } from '@highlight-ui/button';
/**
 * @deprecated the ActionButtonProps type from `sandbox-action-bar` has been deprecated, please use the ActionButtonProps type from `action-bar` instead
 */
export declare type ActionButtonProps = PropsWithMetadata<{
    label: string;
    onClick?: () => void;
    buttonState?: ButtonProps['buttonState'];
    /** Sets HTML button "type" attribute */
    buttonType?: ButtonProps['type'];
    /** Sets HTML button "form" attribute */
    buttonForm?: ButtonProps['form'];
}>;
/**
 * @deprecated the ActionBarProps type from `sandbox-action-bar` has been deprecated, please use the ActionBarProps type from `action-bar` instead
 */
export declare type ActionBarProps = PropsWithMetadata<{
    /** Allows rendering any element on the left side of the ActionBar. If specified, the action buttons will be aligned to the right. */
    information?: React.ReactNode;
    /** Allows providing a custom class name */
    className?: string;
    /** When `inline`, uses `position: sticky` to position the ActionBar and uses `100%` of its container's width. When `full-width`, uses `position: fixed` to position the ActionBar and uses `100% - 64px` of its container's width. */
    variant: 'full-width' | 'inline';
    /** Allows passing props to the primary action button */
    primaryAction: ActionButtonProps;
    /** Allows passing props to the secondary action button */
    secondaryAction?: ActionButtonProps;
    /** HTML element with transitionend addEventListener which querySelector calculates width from */
    elementQuerySelector?: string;
}>;
declare const _default: React.ComponentType<{
    /** Allows rendering any element on the left side of the ActionBar. If specified, the action buttons will be aligned to the right. */
    information?: React.ReactNode;
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** When `inline`, uses `position: sticky` to position the ActionBar and uses `100%` of its container's width. When `full-width`, uses `position: fixed` to position the ActionBar and uses `100% - 64px` of its container's width. */
    variant: "full-width" | "inline";
    /** Allows passing props to the primary action button */
    primaryAction: ActionButtonProps;
    /** Allows passing props to the secondary action button */
    secondaryAction?: ActionButtonProps | undefined;
    /** HTML element with transitionend addEventListener which querySelector calculates width from */
    elementQuerySelector?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
}>;
/**
 * @deprecated `sandbox-action-bar` has been deprecated, please use `action-bar` instead
 */
export default _default;
